## org.apache.hadoop.hive.jdbc
Class Utils

    java.lang.Object
      org.apache.hadoop.hive.jdbc.Utils

    public class Utils

extends Object

Constructor Summary
`Utils()`

Method Summary
`static int` `hiveTypeToSqlType(String type)` Convert hive types to sql types.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Utils

    public Utils()

Method Detail

### hiveTypeToSqlType

    public static int hiveTypeToSqlType(String type)
                                 throws SQLException

  Convert hive types to sql types.

  Parameters:
    `type` -
  Returns:
    Integer java.sql.Types values
  Throws:
    `SQLException`

Copyright © 2014 The Apache Software Foundation. All rights reserved.